//	kontur <--> flche 0.2
//
//	Ken Frederick
//	ken.frederick@gmx.de
//
//	http://www.thebarricades.de/kenfrederick/
//
//	0.1 initial release
//	0.2 included stroke+fill flip 
//

// ------------------------------------------------------------------------
// variablen
// ------------------------------------------------------------------------
var sel = activeDocument.getMatchingItems(Path, { selected: true }); 
//var sel = activeDocument.selectedItems;

// ------------------------------------------------------------------------
// magic!
// ------------------------------------------------------------------------
for (var i = 0; i < sel.length; i++) {
	auswahl = sel[i];

	//if (auswahl.style.stroke.color != null) print(i + "_" + auswahl.style.stroke.color);
	//else if (auswahl.style.fill.color != null) print(i + "_" + auswahl.style.fill.color);

	//stroked!
	if (auswahl.style.stroke.color != null && auswahl.style.fill.color == null) {
		var s_farbe = auswahl.style.stroke.color

		auswahl.style.fill.color = s_farbe;
		auswahl.style.stroke.color = null;

	//filled!
	} else if (auswahl.style.stroke.color == null && auswahl.style.fill.color != null) {
		var f_farbe = auswahl.style.fill.color

		auswahl.style.stroke.color = f_farbe;
		auswahl.style.fill.color = null;

	//stroked + filled!
	} else if (auswahl.style.fill.color != null && auswahl.style.stroke.color != null) {
		var s_farbe = auswahl.style.stroke.color
		var f_farbe = auswahl.style.fill.color

		auswahl.style.stroke.color = f_farbe;
		auswahl.style.fill.color = s_farbe;
	}
}

